OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class Forward

    java.lang.Object
      org.opennms.netmgt.eventd.db.Forward

public class Forward
extends java.lang.Object

This is an utility class used to format the event forward info - to be inserted into the 'events' table

Author:
  Brian Weaver , OpenNMS

Constructor Summary
`Forward()`

Method Summary
`static java.lang.String` `format(Forward fwd)` Format each forward entry
`static java.lang.String` `format(Forward[] forwards, int sz)` Format the array of forward entries of the event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Forward

    public Forward()

Method Detail

### format

    public static java.lang.String format(Forward fwd)

  Format each forward entry

  Parameters:
    `fwd` - the entry
  Returns:
    the formatted string

### format

    public static java.lang.String format(Forward[] forwards,
                                          int sz)

  Format the array of forward entries of the event

  Parameters:
    `forwards` - the list
    `sz` - the size to which the formatted string is to be limited to(usually the size of the column in the database)
  Returns:
    the formatted string

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.